# haveboard X As-One S9 Midi Mapping
### URL: https://github.com/haveboard/s9-serato-custom-midi-user-modes-haveboard-x-as-one
A hybrid of my original S9 mapping [ https://github.com/haveboard/s9-serato-custom-midi-user-modes-1 ] combined with a mapping I helped DJ As-One compile which he used in his 2018 Goldie Awards Submission  DJAS1 | 2018 GOLDIE AWARDS | Submission [ https://www.youtube.com/watch?v=cofLZM99xkc ] along with additional features such as a transport mode, and special functions for the parameters for each mode including mute (also called silent cue)(um3), instant doubles(um2, um4), load next (um2), 1/4 loop roll (um2,um3), sample bank sections (um1)

created by dj haveboard https://djhaveboard.com

**Hey DJs!!** This license basically says you can use this any way you
want and even sell it but leave the license and credits at the top of the file

Version 1.0.2

## MIT License

_Copyright (c) 2020 Jonathan Finnegan & DJ As-One_

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

CREDITS & THANKS:

**Radikarl** [ http://www.radikarl.de/freecontent ]

- for paving the way with his early mappings released as free content to the DJ Community

**Quan Leongrae**

- light output colors
- no backlighting when there is no cue point

**DJ As-One**

- for his custom mode contribution and allowing me to release this

**Ivan Avalos (Dj Supafly)** [ http://www.dj-supafly.com/ ]
- mute / silent

**Ricardo Balderas / Unit27** for his mapping
- http://www.unit27music.com/product/unit27-s9-mapping/
- https://www.youtube.com/watch?v=s0j6V_-nl5A

**DJ Divine Justice** Mappping:
https://www.youtube.com/watch?v=VuEjMN-lXjw

If I am forgetting anyone please let me know. me@djhavebopard.com

This is for the love of DJing, turntablism, and the community that supports it.

If you use any of this code, please keep all code comments with credits and licensing intake. Thanks!


## Instructions

**Volume faders** both also _control the master volume of the Sample Banks_

Set your Channel Faders to the tightest curve that way the volume only cuts out when the channel faders are already down, giving you better control over the master volume of the sample bank.
This can be a little weird to get use to at first but it works great once you get comfortable.

The **Mic Hi EQ** will _control the right deck pitch_ when in internal mode and the **Mic EQ Low** will _control the pitch of the left deck_.

### User Mode 1 | Cues & Samples

#### PARAMETERS
- **Left Deck / Left Arrow:** Sample Bank A
- **Left Deck / Right Arrow:** Sample Bank B
- **Right Deck / Left Arrow:** Sample Bank C
- **Right Deck / Right Arrow:** Sample Bank D

#### PADS
- **Left 1:** Left Cue 1
- **Left 2:** Left Cue 2
- **Left 3:** Left Cue 3
- **Left 4:** Left Cue 4
- **Left 5:** Sample 1
- **Left 6:** Sample 2
- **Left 7:** Sample 3
- **Left 8:** Sample 4
- **SHIFT Left 1:** DELETE Left Cue 1
- **SHIFT Left 2:** DELETE Left Cue 2
- **SHIFT Left 3:** DELETE Left Cue 3
- **SHIFT Left 4:** DELETE Left Cue 4

- **Right 1:** Right Cue 1
- **Right 2:** Right Cue 2
- **Right 3:** Right Cue 3
- **Right 4:** Right Cue 4
- **Right 5:** Sample 5
- **Right 6:** Sample 6
- **Right 7:** Sample 7
- **Right 8:** Sample 8
- **SHIFT Right 1:** DELETE Right Cue 1
- **SHIFT Right 2:** DELETE Right Cue 2
- **SHIFT Right 3:** DELETE Right Cue 3
- **SHIFT Right 4:** DELETE Right Cue 4

### User Mode 2 | Cues, Samples, Rolls, Instant Doubles, Play Next

#### PARAMETERS
- **Left Deck / Left Arrow:** Left Deck Play Next Track
- **Left Deck / Right Arrow:** Left Deck Instant Doubles
- **Right Deck / Left Arrow:** Right Deck Instant Dounbles
- **Right Deck / Right Arrow:** Right Deck Play Next Track

#### PADS
- **Left 1:** Left Cue 1
- **Left 2:** Left Cue 2
- **Left 3:** Left Cue 3
- **Left 4:** Left Cue 4
- **Left 5:** 1/8 Loop Roll
- **Left 6:** 1/4 Loop Roll
- **Left 7:** Sample 1
- **Left 8:** Sample 2
- **SHIFT Left 1:** DELETE Left Cue 1
- **SHIFT Left 2:** DELETE Left Cue 2
- **SHIFT Left 3:** DELETE Left Cue 3
- **SHIFT Left 4:** DELETE Left Cue 4

- **Right 1:** Right Cue 1
- **Right 2:** Right Cue 2
- **Right 3:** Right Cue 3
- **Right 4:** Right Cue 4
- **Right 5:** Sample 3
- **Right 6:** Sample 4
- **Right 7:** 1/4 Loop Roll
- **Right 8:** 1/8 Loop Roll
- **SHIFT Right 1:** DELETE Right Cue 1
- **SHIFT Right 2:** DELETE Right Cue 2
- **SHIFT Right 3:** DELETE Right Cue 3
- **SHIFT Right 4:** DELETE Right Cue 4

### User Mode 3 | DJ As-One Key Mode with 1/4 loop rolls and Mute or Silent Cue

#### PARAMETERS

- **Left Deck / Left Arrow:** Left Deck 1/4 Loop Roll
- **Left Deck / Right Arrow:** Left Deck Mute / Silent Cue
- **Right Deck / Left Arrow:** Right Deck Mute / Silent Cue
- **Right Deck / Right Arrow:** Right Deck 1/4 Loop Roll

#### PADS

- **Left 1:** Left Cue 1
- **Left 2:** Left Cue 2
- **Left 3:** Left Cue 3
- **Left 4:** Left Cue 4
- **Left 5:** Left Cue 5
- **Left 6:** Left Key Lock
- **Left 7:** Left Key Up
- **Left 8:** Left Key Down
- **SHIFT Left 1:** DELETE Left Cue 1
- **SHIFT Left 2:** DELETE Left Cue 2
- **SHIFT Left 3:** DELETE Left Cue 3
- **SHIFT Left 4:** DELETE Left Cue 4
- **SHIFT Left 5:** DELETE Left Cue 5

- **Right 1:** Right Cue 1
- **Right 2:** Right Cue 2
- **Right 3:** Right Cue 3
- **Right 4:** Right Cue 4
- **Right 5:** Right Cue 5
- **Right 6:** Right Key Lock
- **Right 7:** Right Key Up
- **Right 8:** Right Key Down
- **SHIFT Right 1:** DELETE Right Cue 1
- **SHIFT Right 2:** DELETE Right Cue 2
- **SHIFT Right 3:** DELETE Right Cue 3
- **SHIFT Right 4:** DELETE Right Cue 4
- **SHIFT Right 5:** DELETE Right Cue 5
    
### User Mode 4 | Transport / Internal Mode

#### PARAMETERS

- **Left Deck / Left Arrow:** Left Deck INT / REL-ABS
- **Left Deck / Right Arrow:** Left Deck Instant Doubles
- **Right Deck / Left Arrow:** Right Deck Instant Doubles
- **Right Deck / Right Arrow:** Right Deck INT / REL-ABS

#### PADS

- **Left 1:** Left Deck Key Up
- **Left 2:** Left Deck Sync On/Off
- **Left 3:** Left Bend Up
- **Left 4:** Left Cue 1
- **Left 5:** Left Deck Key Down
- **Left 6:** Left Deck Key Lock
- **Left 7:** Left Bend Down
- **Left 8:** Left Play/Pause
- **SHIFT Left 4:** DELETE Left Cue 1

- **Right 1:** Right Cue 1
- **Right 2:** Right Bend Up
- **Right 3:** Right Deck Sync On/Off
- **Right 4:** Right Deck Key Up
- **Right 5:** Right Play/Pause
- **Right 6:** Right Bend Down
- **Right 7:** Right Deck Key Lock
- **Right 8:** Right Deck Key Down
- **SHIFT Right 1:** DELETE Cue 1

    